Subject: Re: kgdb on 405GP walnut-like board.

From: Matt Porter <[email-masked]>
Date: Thu, 4 Nov 2004 07:28:28 -0700

On Thu, Nov 04, 2004 at 01:34:23AM +0300, Vladimir wrote:
> On Wednesday 03 November 2004 17:36, Matt Porter wrote:
> > The patch is against the current 2.6 BK tree, try patching a recent kernel
> > release like 2.6.10-rc1.
> I've tried 2.6.10-rc1-bk13 from kernel.org. Is it already include this patch ?
> It successfully compiles, but at breakpoint() it fails to connect to host's 
> gdb. I've grab /dev/ttyS1 traffic and see that kgdb stub sends to host a lot 
> of zeros - nothing more. May be this is bug in serial port initialization ? 
> How can I deal with it ?

Check what your firmware sets the default baud rate to on the second
UART. I had to set remotebaud 57600 on walnut, IIRC...I'm a little
hazy since that's not my primary devel platform. I think you are
on a different board anyway.

-Matt